function init (hero) {
    hero.setName("Red Hood/\u00A76\u00A7lUHP\u00A7r");
    hero.setVersion("Comics");
    hero.setTier(3);

    hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.addEquipment("fiskheroes:rip_hunters_gun");
    hero.addEquipment("fiskheroes:chronos_rifle");
    hero.addEquipment("fiskheroes:grappling_gun");
    hero.addEquipment("fiskheroes:black_canarys_tonfas");
    hero.addEquipment("fiskheroes:bo_staff");

    hero.addPowers("uhp:kevlar_weave_suit");
	
    hero.addAttribute("SPRINT_SPEED", 0.20, 1);
    hero.addAttribute("FALL_RESISTANCE", 5.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.5, 0);
    hero.addAttribute("PUNCH_DAMAGE", 6.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 4.0, 0);

    hero.addKeyBind("UTILITY_BELT", "Toggle Utility Belt", 1);
    hero.addKeyBind("AIM", "key.aim", -1);

    hero.setHasPermission(hasPermission);
    hero.supplyFunction("canAim", canAim);

}

function thisCanHaveAnyName(entity, property) {
    return property == "BREATHE_UNDERWATER";
}

function hasPermission(entity, permission) {
    return permission == "USE_GRAPPLING_GUN" || permission == "USE_CHRONOS_RIFLE" || permission == "USE_RIPS_GUN";
}

function canAim(entity) {
    return entity.getHeldItem().name() == "fiskheroes:chronos_rifle" || entity.getHeldItem().name() == "fiskheroes:rip_hunters_gun";
}